Bug Hunting Session
Bug 125566 - Not possible to move element down/up in the layer stack
Summary: Not possible to move element down/up in the layer stack
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: iOS (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All iOS
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-29 05:10 UTC by Nicolas Christener
Modified: 2019-10-21 09:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Christener 2019-05-29 05:10:56 UTC
Description:
It's not possible to move up/down an element in the layer stack using the iOS app.

Steps to Reproduce:
1. Open/create a presentation with the iOS app
2. Add two elements, e.g. two rectangles - a red and a green one
3. Make the green rectangle overlap the red one and vice versa

Actual Results:
There is no option to move up/down an element in the layer stack.

Expected Results:
There should be an option to move up/down an element in the layer stack.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Regina Henschel 2019-05-29 20:11:30 UTC
What do you have tried? On Windows it would be:
 menu Format > Arrange,
 or toolbar Drawing > Icon 'Object Position',
 or context menu > Arrange,
 or shortcuts Ctrl Shift + and Ctrl + and Ctrl - and Ctrl Shift -.
Comment 2 Xisco Faulí 2019-05-30 10:42:18 UTC
Moving to NEW as agreed in the ESC meeting
Comment 3 Commit Notification 2019-10-13 12:40:53 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b2e5f9ead2bb7f2979afe4ba13e3950e8a3cc278

tdf#125566 Add arrangement functions to position & size sidebar

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Nicolas Christener 2019-10-16 11:47:25 UTC
Implementd/fixed. I testes with 4.1.66 and I can now move elements down/up in the layer stack.

I think this issue can be closed.

Thanks a lot to the Collabora team and especially Tomaž for implementing this feature!